GET

List Custom Attributes

Use this API to get a list of custom attributes in a OneLogin account.

Resource URL

https://<subdomain>.onelogin.com/api/2/users/custom_attributes

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Read Users, Manage users, Read All, or Manage All.

Sample Responses

[
    {
        "name": "Personal Email",
        "id": 87846,
        "position": 1,
        "shortname": "personalemail"
    },
    {
        "name": "Work Email",
        "id": 87845,
        "position": 2,
        "shortname": "workemail"
    },
    {
        "name": "Linked Account",
        "id": 85306,
        "position": 3,
        "shortname": "linkedaccount"
    }
]

An invalid search parameter was used.

{
    "message": "query parameter(s) not allowed: first_login",
    "name": "BadRequestError",
    "statusCode": 400
}

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

You cant sort on this field.

{
    "message": "Invalid sort field: created_at",
    "field": "created_at",
    "name": "UnprocessableEntityFieldError",
    "statusCode": 422
}

Postman Collection

Run In Postman